import tornado.ioloop
import tornado.log
import tornado.options
import tornado.web
import platform
from ai_target_combine_handler import AiTargetCombine
from ai_callback_handler import AiCallBackAddCreative, AiCallBackAddGroup


def create_application():
    web_application = tornado.web.Application([
        (r"/ai_target_combine", AiTargetCombine),
        (r"/ai_callback_add_creative", AiCallBackAddCreative),
        (r"/ai_callback_add_group", AiCallBackAddGroup),
    ])
    return web_application


if __name__ == "__main__":
    application = create_application()
    http_server = tornado.httpserver.HTTPServer(application)
    http_server.bind(31012, None)
    if platform.system() == 'Windows':
        http_server.start()
    else:
        http_server.start(num_processes=5)
    tornado.ioloop.IOLoop.instance().start()

